1
2
3
4
5
6
/** Aktuellste jQuery-Version holen */
if (! is_admin()) {
    wp_deregister_script('jquery');
    wp_register_script('jquery', ("http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"), false, '');
    wp_enqueue_script('jquery');
}

Wer sich nicht an die functions.php heran traut, kann dies auch über ein kleines Plugin lösen. Dieses nennt sich Use Google Libraries und macht im Prinzip das Selbe, jedoch nicht nur mit jQuery.

Datei speichern, hoch laden, und freuen :-)

Artikel / Seite weiterempfehlen

2 Meinungen zu “WordPress: Immer die aktuelle jQuery-Version nutzen

    • Hi Silvy,

      Es ist durchaus möglich, dass das besagte Plugin eine bestimmte jQuery-Version voraussetzt. Mit dem Code wird momentan Version 1.5 geladen, an der sich einiges geändert hat.

      Ich kann daher nur dringend empfehlen, solche Änderungen immer zuvor in einem Testsystem zu testen, bevor man damit auf sein Livesystem losgeht. Ich selbst nutze diese Anpassung auch nicht mehr, sondern das Plugin Use Google Libraries, welches ich auch im Artikel angesprochen habe. Das macht im Prinzip genau das gleiche, jedoch im Moment wird dort die Version 1.4.2 geladen.

Hinterlasse eine Antwort

Ihre Email-Adresse wird nicht veröffentlicht. Pflichtfelder sind durch * markiert.

Sie können folgende HTML-Tags benutzen: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>